Package twisted :: Package mail :: Module alias |
[frames | no frames]

## Module twisted.mail.alias

    Support for aliases(5) configuration files

    API Stability: Unstable

    @author: U{Jp Calderone<exarkun@twistedmatrix.com>}

    TODO: Monitor files for reparsing
          Handle non-local alias targets
          Handle maildir alias targets

Classes
`AddressAlias` | The simplest alias, translating one email address into another.
`AliasBase` |
`AliasGroup` | An alias which points to more than one recipient
`FileAlias` |
`FileWrapper` |
`IAlias` |
`MessageWrapper` |
`MultiWrapper` | Wrapper to deliver a single message to multiple recipients
`ProcessAlias` | An alias for a program.
`ProcessAliasProtocol` |

Function Summary
| `handle(result, line, filename, lineNo)`
| ``loadAliasFile`(domains, filename, fp)` Load a file containing email aliases.

Function Details

### loadAliasFile(domains, filename=None, fp=None)
    Load a file containing email aliases.

    Lines in the file should be formatted like so:

        username: alias1,alias2,...,aliasN

    Aliases beginning with a | will be treated as programs, will be run, and
    the message will be written to their stdin.

    Aliases without a host part will be assumed to be addresses on localhost.

    If a username is specified multiple times, the aliases for each are joined
    together as if they had all been on one line.

    @type domains: C{dict} of implementor of C{IDomain}
    @param domains: The domains to which these aliases will belong.

    @type filename: C{str}
    @param filename: The filename from which to load aliases.

    @type fp: Any file-like object.
    @param fp: If specified, overrides C{filename}, and aliases are read from
    it.

    @rtype: C{dict}
    @return: A dictionary mapping usernames to C{AliasGroup} objects.

Generated by Epydoc 2.0 on Sat Oct 25 00:55:10 2003 | http://epydoc.sf.net